package org.apache.jsp;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import persistencia3.Gestors.*;
import persistencia3.GettersSetters.*;

public final class index_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent {


private String errorRegistre=null;
private String errorLogging=null;
    public static boolean validarEmail(String email) {
            String PATTERN_EMAIL = "^[_A-Za-z0-9-\\+]+(\\.[_A-Za-z0-9-]+)*@"
            + "[A-Za-z0-9-]+(\\.[A-Za-z0-9]+)*(\\.[A-Za-z]{2,})$";
        // Compiles the given regular expression into a pattern.
        Pattern pattern = Pattern.compile(PATTERN_EMAIL);
 
        // Match the given input against this pattern
        Matcher matcher = pattern.matcher(email);
        return matcher.matches();
 
    }
    public String validarRegistre(String email,String nom,String password1,String password2){
       
        GestorBDUsuaris gestor=new GestorBDUsuaris();
        if (!validarEmail(email)){
            return "El email no té un format vàlid";
        }
        if (nom.length()==0){
            return "Has d'introduïr un nom";
        }
        if (password1.length()<6){
            return "El password ha de contenir 6 o més caràcters";
        }
        if (!password1.equals(password2)){
            return "El password segon no coincideix amb el primer";
        }
       if (gestor.existeixUsuari(email)){
           return "Existeix un usuari amb el mateix email";
       }
       return null;
       
        
    };
    public Usuari validarLogging(String email,String password){
          GestorBDUsuaris gestor=new GestorBDUsuaris();
          if (!validarEmail(email)){
            return null;
          }
          if (!gestor.existeixUsuari(email)){
              return null;
          }else{
             Usuari usuari= gestor.getUsuari(email);
             if (usuari.getPassword().equals(password)){
                 return usuari;
             }
             else{
                 return null;
             }
          }
         
           
    }

  private static final JspFactory _jspxFactory = JspFactory.getDefaultFactory();

  private static java.util.List<String> _jspx_dependants;

  private org.glassfish.jsp.api.ResourceInjector _jspx_resourceInjector;

  public java.util.List<String> getDependants() {
    return _jspx_dependants;
  }

  public void _jspService(HttpServletRequest request, HttpServletResponse response)
        throws java.io.IOException, ServletException {

    PageContext pageContext = null;
    HttpSession session = null;
    ServletContext application = null;
    ServletConfig config = null;
    JspWriter out = null;
    Object page = this;
    JspWriter _jspx_out = null;
    PageContext _jspx_page_context = null;

    try {
      response.setContentType("text/html;charset=UTF-8");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, true, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      session = pageContext.getSession();
      out = pageContext.getOut();
      _jspx_out = out;
      _jspx_resourceInjector = (org.glassfish.jsp.api.ResourceInjector) application.getAttribute("com.sun.appserv.jsp.resource.injector");

      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("\n");
      out.write("<!DOCTYPE html>\n");
      out.write('\n');

   
    String accio=request.getParameter("accio");
    if (accio!=null){
        if (accio.equals("registre")){
            System.out.println("Registre");
            String error=this.validarRegistre(request.getParameter("email"),request.getParameter("nom"),request.getParameter("password1"),request.getParameter("password2"));
            if (error==null){
                Usuari usuari=new Usuari();
                usuari.setNom(request.getParameter("nom"));
                usuari.setEmail(request.getParameter("email"));
                usuari.setPassword(request.getParameter("password1"));
                 GestorBDUsuaris gestor=new GestorBDUsuaris();
                 gestor.inserirUsuari(usuari);
                 session.setAttribute("Usuari", usuari);
                 response.sendRedirect("ZonaUsuari.jsp");
            }else{
                this.errorRegistre=error;
                
            }
          //  session.setAttribute("Usuari", "3");
            
           
        }
        if (accio.equals("logging")){
            System.out.println("Logging");
            Usuari usuari=validarLogging(request.getParameter("email"),request.getParameter("password"));
            if (usuari!=null){
                session.setAttribute("Usuari", usuari);
                response.sendRedirect("ZonaUsuari.jsp");
            }else{
                errorLogging="Logging erroni";
            }
            
        }
    }       
           
    
    
      out.write("\n");
      out.write("<html>\n");
      out.write("    <head>\n");
      out.write("        <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n");
      out.write("        <title>JSP Page</title>\n");
      out.write("        <LINK href=\"FullsEstils/FullIndex.css\" rel=\"stylesheet\" type=\"text/css\">\n");
      out.write("    </head>\n");
      out.write("    <body id='body1'>  \n");
      out.write("        <div id =\"contenedor\">  \n");
      out.write("            <div id =\"titol\">VirtualBot</div>  \n");
      out.write("            <div id =\"explicacio\">VirtualBot és una pàgina on podras programar robots en un entorn en 2 dimensions</div>  \n");
      out.write("            <div id =\"logging\">Entra si ja estas registrat<br><br>\n");
      out.write("                <div id=\"form\">\n");
      out.write("                     ");

                            if (errorLogging!=null){
                               
                                out.print( "<div style='color:#FF0000;'>"+errorLogging+"</div><br>");
                            }else{
                                out.print("<br>");
                            }
                            
      out.write("\n");
      out.write("                    <form action=\"index.jsp\" method=\"post\">\n");
      out.write("                    Introdueix el teu email: \n");
      out.write("                    <input type=\"text\" name=\"email\"><br><br>\n");
      out.write("                     Introdueix el teu password: \n");
      out.write("                     <input type=\"password\" name=\"password\"><br><br>\n");
      out.write("                        <input type=\"hidden\" name=\"accio\" value=\"logging\">\n");
      out.write("                     <a HREF=\"mailto:xavimore73@hotmail.com? Subject=i%20thought%20you%20might%20like%20to%20re\n");
      out.write("ad%20this&Body=<a href='merdi'/>\"> No m'enrecordo del password!!</A>\n");
      out.write("                     ");

                            /*
                             String from = "farmoreu";
        String pass = "xavi1307";
        String[] to = { "xavimore73@hotmail.com" }; // list of recipient email addresses
        String subject = "Java send mail example";
        String body = "Welcome to JavaMail!";
      //  GestorMail.sendFromGMail(from, pass, to, subject, body); 
        /*
                           GestorMails gestor=new GestorMails();
                           boolean result = gestor.send("mx1.hotmail.com ","xavimore73@hotmail.com", 
                            "xavimore73@hotmail.com",null, null , 
                            "mail de prueba", false, new StringBuffer("hola que tal"),true); 
                           out.println(result);
                */

                            
      out.write("\n");
      out.write("                     <br><br>\n");
      out.write("                     <input type=\"submit\" value=\"Envia\" >\n");
      out.write("                    </form>\n");
      out.write("                </div>\n");
      out.write("            </div>  \n");
      out.write("            <div id =\"registre\">\n");
      out.write("               \n");
      out.write("                Registra't si no ho estas.<br>\n");
      out.write("                    <div id=\"form\">\n");
      out.write("                        ");

                            if (errorRegistre!=null){
                               
                                out.print( "<div style='color:#FF0000;'>"+errorRegistre+"</div><br>");
                            }else{
                                out.print("<br>");
                            }
                            
      out.write("\n");
      out.write("                        <form action=\"index.jsp\" method=\"post\">\n");
      out.write("                        Introdueix el teu email: \n");
      out.write("                        <input type=\"text\" name=\"email\"><br><br>\n");
      out.write("                         Introdueix el teu pseudònim (màxim 20 caràcters) \n");
      out.write("                         <input type=\"text\" name=\"nom\" maxlength=\"20\"><br><br>\n");
      out.write("                          Introdueix un password  (mínim  6 caràcters que continguin lletres i nombres) \n");
      out.write("                         <input type=\"password\" name=\"password1\"><br><br>\n");
      out.write("                         Introdueix el password de nou:\n");
      out.write("                         <input type=\"password\" name=\"password2\"><br><br>\n");
      out.write("                         <input type=\"hidden\" name=\"accio\" value=\"registre\">\n");
      out.write("                         <input type=\"submit\" value=\"Envia\" >\n");
      out.write("                        </form>\n");
      out.write("                    </div>\n");
      out.write("                </div>  \n");
      out.write("             \n");
      out.write("            <div id =\"pie\">peu</div>  \n");
      out.write("        </div>  \n");
      out.write("    </body>  \n");
      out.write("\n");
      out.write("</html>\n");
    } catch (Throwable t) {
      if (!(t instanceof SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          out.clearBuffer();
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
